%define major		10
%define oname		%{name}

%define libname		%mklibname dvbpsi %{major}
%define develname	%mklibname dvbpsi -d

Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Name:		libdvbpsi
Version:	1.3.3
Release:	%mkrel 2
License:	LGPLv2+
URL:		http://www.videolan.org/libdvbpsi/
Group:		System/Libraries
Source:		http://www.videolan.org/pub/videolan/libdvbpsi/%{version}/%{oname}-%{version}.tar.bz2

%description
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

%package -n	%{libname}
Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Group:		System/Libraries
Provides:	%{name}

%description -n	%{libname}
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

%package -n	%{develname}
Summary:	Development tools for programs which will use the libdvbpsi library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d dvbpsi 4

%description -n	%{develname}
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate MPEG 2 and DVB PSI
information using the %{name} library.

If you are going to develop programs which will manipulate MPEG 2 and DVB PSI
information you should install %{name}-devel.  You'll also need to have
the %{name} package installed.


%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%configure \
	--enable-release \
	--disable-static
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc COPYING
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.3.3-2.mga8
+ Revision: 1541792
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 02 2020 luigiwalser <luigiwalser> 1.3.3-1.mga8
+ Revision: 1475417
- 1.3.3

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-2.mga7
+ Revision: 1298813
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 1.3.2-1.mga7
+ Revision: 1215720
- Update to version 1.3.2

* Tue May 23 2017 luigiwalser <luigiwalser> 1.3.1-1.mga6
+ Revision: 1104159
- 1.3.1

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.3.0-1.mga6
+ Revision: 918797
- 1.3.0
- rediff gcc5 patch
- library major is now 10

* Mon Nov 09 2015 daviddavid <daviddavid> 1.2.0-4.mga6
+ Revision: 899875
- add patch to fix build with gcc5

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 750732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 681428
- Mageia 5 Mass Rebuild

* Thu Apr 17 2014 luigiwalser <luigiwalser> 1.2.0-1.mga5
+ Revision: 615336
- 1.2.0

* Tue Nov 12 2013 luigiwalser <luigiwalser> 1.1.2-1.mga4
+ Revision: 550830
- 1.1.2

* Mon Oct 21 2013 umeabot <umeabot> 1.1.1-2.mga4
+ Revision: 538875
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 luigiwalser <luigiwalser> 1.1.1-1.mga4
+ Revision: 490654
- 1.1.1

* Wed Aug 28 2013 fwang <fwang> 1.1.0-1.mga4
+ Revision: 472519
- new version 1.1.0

* Sat Jan 12 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 357024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 fwang <fwang> 0.2.2-1.mga2
+ Revision: 162615
- new version 0.2.2

* Thu Sep 08 2011 tv <tv> 0.2.1-1.mga2
+ Revision: 141223
- new release

* Thu Jul 14 2011 fwang <fwang> 0.2.0-1.mga2
+ Revision: 123985
- new version 0.2.0

* Wed Jan 26 2011 ahmad <ahmad> 0.1.7-2.mga1
+ Revision: 40942
- don't ship .a, .la
- drop old/unneeded scriptlets
- imported package libdvbpsi


* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2011.0
+ Revision: 577042
- new version
- new major
- update file list

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.1.6-4mdv2010.0
+ Revision: 429724
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.1.6-3mdv2009.0
+ Revision: 248642
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2008.1
+ Revision: 101139
- new version
- new major
- new devel name

  + Thierry Vignaud <tv@mandriva.org>
    - s/Mandrake/Mandriva/

* Mon Jul 30 2007 David Walluck <walluck@mandriva.org> 0.1.5-3mdv2008.0
+ Revision: 56758
- rebuild to fix %%mkrel
- Import libdvbpsi



* Thu Jul  7 2005 Götz Waschk <waschk@mandriva.org> 0.1.5-2mdk
- backport support

* Thu Jul  7 2005 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdk
- reenable libtoolize
- major 4
- New release 0.1.5

* Thu Feb 26 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.4-2mdk
- support mdk 9.0

* Sun Jan  4 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.4-1mdk
- spec fixes
- don't libtoolize
- major 3
- new version

* Wed Jul 30 2003 Götz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- throw out packager tag
- mklibname fixes
- new version

* Fri Jul 11 2003 Götz Waschk <waschk@linux-mandrake.com> 0.1.2-5mdk
- fix description (thanks to Adam Williamson)

* Thu Jul 10 2003 Götz Waschk <waschk@linux-mandrake.com> 0.1.2-4mdk
- autoconf 2.5 macro
- mklibname macro

* Wed Jan 08 2003 Yves Duret <yves@zarb.org> 0.1.2-3mdk
- rebuild.

* Fri Dec 13 2002 Yves Duret <yves@zarb.org> 0.1.2-2mdk
- s#Copyright#License#
- include the libtool .la files.
- use macros.
- update URL: tag.

* Fri Oct 11 2002 Samuel Hocevar <sam@zoy.org>
- 0.1.2 release.

* Sat May 18 2002 Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
- 0.1.1 release.

* Mon Apr 8 2002 Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
- split into two separate packages.

* Thu Apr 4 2002 Jean-Paul Saman <saman@natlab.research.philips.com>
- first version of package for redhat systems.
